<div class="d-flex justify-content-center align-items-center">
  <div class="card" style="width: 18rem;">
    <div class="card-body">
      <form #loginForm="ngForm" (ngSubmit)="onSubmit(loginForm)">
        <div class="form-group">
          <label for="id">Id</label>
          <input type="text" class="form-control" placeholder="Enter id" id="id" [(ngModel)]="userModal.id" name="id" #id="ngModel"
            required>
          <span class="text-danger" *ngIf="(id.touched || loginForm.submitted) && id.errors?.required">
            Id is required
          </span>
        </div>
        <div class="form-group">
          <label for="pwd">Password:</label>
          <input type="password" class="form-control" placeholder="Enter password" id="pwd" [(ngModel)]="userModal.password" name="password"
            #password="ngModel" required>
          <span class="text-danger" *ngIf="(password.touched || loginForm.submitted) && password.errors?.required">
            Password is required
          </span>
          <span class="text-danger" *ngIf="!regStatus">{{pleaseReg}}</span>
          <span class="text-danger" *ngIf="invalidCedStatus">{{InvalidMsg}}</span>
        </div>
        <button type="submit" class="btn btn-primary">Submit</button>
      </form>
      <a routerLink="/register">Register</a>
    </div>
  </div>
</div>